## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vlc-plugin-pipewire
Version:        3
Release:        %autorelease
Summary:        Pipewire plugin for VLC media player
License:        GPL-3.0-or-later
URL:            https://www.remlab.net/vlc-plugin-pipewire/
Source0:        https://www.remlab.net/files/%{name}/%{name}-v%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libpipewire-0.3) >= 0.3.50
BuildRequires:  pkgconfig(vlc-plugin) >= 3

Requires:       vlc-plugins-base%{?_isa}
Supplements:    (vlc-plugins-base%{?_isa} and pipewire%{?_isa})

%description
This plug-in for the VLC media player provides seamless integration with
PipeWire inside the VLC media player and LibVLC-based applications.

%prep
%autosetup -n %{name}-v%{version}
# useless check, does not respect environment
sed -i -e '/ifeq/,+5d' Makefile


%build
%set_build_flags
%make_build CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"


%install
%make_install


%files
%license COPYING
%doc README
%{vlc_plugindir}/audio_output/libaout_pipewire_plugin.so


%changelog
## START: Generated by rpmautospec
* Tue May 07 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 3-3
- Fix flatpak build

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3-1
- Initial import
## END: Generated by rpmautospec
